//
//  CustomDumpAttributedStringTests.swift
//  CustomDumpAttributedStringTests
//
//  Created by Oron Ben Zvi on 28/11/2023.
//

import XCTest
@testable import CustomDumpAttributedString
import CustomDump

struct State: Equatable {
    var string: AttributedString
    var number = 3
}

final class CustomDumpAttributedStringTests: XCTestCase {
    func testAttributedString() throws {
        var stringOne = AttributedString("One")
        stringOne.font = .body
        var state1 = State(string: stringOne)
        
        print(stringOne.description)
        
        var stringTwo = AttributedString("One")
        stringTwo.font = .callout
        var state2 = State(string: stringTwo)
        
        XCTAssertNoDifference(state1, state2)
    }
}

extension AttributedString: CustomDumpRepresentable {
  public var customDumpValue: Any {
      self.description
  }
}
